import React from "react";
import { SceneType } from "./Scene";
export declare type SpringConfig = {
    stiffness?: number;
    damping?: number;
    mass?: number;
};
declare type Props = {
    from: SceneType;
    to: SceneType;
    springConfig: SpringConfig;
    onFinish: () => void;
};
export default class SceneTransition extends React.Component<Props> {
    static defaultProps: {
        springConfig: {};
    };
    render(): JSX.Element | null;
}
export {};
