import React from "react";
import { ViewProps } from "react-native";
import { SceneType } from "./Scene";
declare type Handler = (id: string, scene: SceneType) => void;
export default class Stage extends React.Component<ViewProps> {
    private _scenes;
    private _ee;
    addScene(id: string, scene: SceneType): void;
    removeScene(id: string): void;
    getScene(id: string): SceneType | undefined;
    onAddScene(id: string, handler: Handler): void;
    removeAddSceneListener(id: string, handler: Handler): void;
    onRemoveScene(id: string, handler: Handler): void;
    removeRemoveSceneListener(id: string, handler: Handler): void;
    render(): JSX.Element;
}
export {};
